VectorLinux
September 17, 2014, 09:19:57 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Problem in installing Python 2.7 from sources  (Read 1882 times)
Alb
Member
*
Posts: 74


« on: March 03, 2011, 01:27:33 pm »

Hello,
I tried to install Python 2.7 from sources (I need at least Python 2.6) but the configure procedure ended with several errors like that:

configure:4319: gcc -E  conftest.c
conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
configure:4319: $? = 1
configure: failed program was:
| /* confdefs.h */

What am I supposed to do in this case? Any suggestions?
Best Regards
P.S.
I was unable to find a Python 2.6 (minimum) package suitable for my VL 6.0 Light
Logged
rm-r
DoucheBag
Vectorite
***
Posts: 115


« Reply #1 on: March 03, 2011, 11:44:26 pm »

VL forum user (pierce.jason) may be person to  advise Re Python
 Meantime ~ These  errors came when installing (./configure) Python ?

Check your (user)  command search path
env | grep PATH

The  assembler may  not be in user's path as  > looks like a Gcc header is not found

To use Google (Python docs) (Python graphical IDE utilities)

http://wiki.python.org/moin/BeginnersGuide

While using in text mode -
python
>> help 
>> help keywords

Good luck
Logged

"Problems are seldom resolved by thinking in the same manner they were created"

"What is viewed is not important - That which is seen is"
Alb
Member
*
Posts: 74


« Reply #2 on: March 04, 2011, 06:05:58 am »

Hello,
Yes, these  errors came when installing (./configure) Python.
env | grep PATH gives:
vector:/~
alberto:$ env | grep PATH
CPLUS_INCLUDE_PATH=/usr/lib/qt/include:/usr/lib/qt/include
MANPATH=/usr/local/man:/usr/man:/usr/X11R6/man:/usr/lib/java/man:/usr/lib/java/man
PATH=/usr/local/bin:/usr/bin:/usr/sbin:/bin:/opt/bin:/usr/X11/bin:/usr/local/games:/usr/games/:/usr/lib/java/bin:/usr/lib/java/jre/bin:/usr/lib/qt/bin
PKG_CONFIG_PATH=/usr/X11R6/lib/pkgconfig:/usr/X11R6/lib/pkgconfig:/usr/local/lib/pkgconfig:/usr/lib/pkgconfig:/usr/local/lib/pkgconfig

I didn't think that PATH were involved in Python installation (I'm an absolute beginner)
P.S. I have Python 2.5 already in my VL 6.0 Light, but it's useless for my needs.
Bye bye.
Logged
rm-r
DoucheBag
Vectorite
***
Posts: 115


« Reply #3 on: March 04, 2011, 06:16:27 am »

@ Quick glance, Path looks OK -
(commands)
 
whereis python (finds only executable)   locate python|less (all python files)

cd /path _to_ python_executable (I.E. /bin/sbin, /usr/bin. /usr/local/bin   ~ *sbin, etc etc

ldd python  (see if all dependencies were installed_


@ Any  install > (./configure)  needs all Gcc make files 

HTH   
« Last Edit: March 04, 2011, 06:36:47 am by rm-r » Logged

"Problems are seldom resolved by thinking in the same manner they were created"

"What is viewed is not important - That which is seen is"
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #4 on: March 04, 2011, 06:30:46 am »

we have python 2.7.1 in VL7.0
you may want to give that a try.

you may be able to install the pkg on 6.0 as well but I'm not sure if it would work or not.
Logged
rm-r
DoucheBag
Vectorite
***
Posts: 115


« Reply #5 on: March 04, 2011, 06:53:55 am »

If only wanting to try out coding,  Bash will be of more immediate use

http://bashdb.sourceforge.net/bashdb.html

http://www.ibm.com/developerworks/library/l-bash.html
   
Bash is default Linux command interpreter. , Python is byte-code equivalent of object oriented C++

(Google) Python vs Ruby_on_rails,  vs C++
Logged

"Problems are seldom resolved by thinking in the same manner they were created"

"What is viewed is not important - That which is seen is"
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!